net.sourceforge.pmd

## Class RuleViolationTest

- java.lang.Object
- - net.sourceforge.pmd.RuleViolationTest

-     public class RuleViolationTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleViolationTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static junit.framework.Test` | `suite()`
    `void` | `testComparatorWithDifferentFilenames()`
    `void` | `testComparatorWithSameFileDifferentLines()`
    `void` | `testComparatorWithSameFileSameLines()`
    `void` | `testConstructor1()`
    `void` | `testConstructor2()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleViolationTest

          public RuleViolationTest()

  - ### Method Detail

    - #### testConstructor1

          public void testConstructor1()

    - #### testConstructor2

          public void testConstructor2()

    - #### testComparatorWithDifferentFilenames

          public void testComparatorWithDifferentFilenames()

    - #### testComparatorWithSameFileDifferentLines

          public void testComparatorWithSameFileDifferentLines()

    - #### testComparatorWithSameFileSameLines

          public void testComparatorWithSameFileSameLines()

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.